<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array(
	'home' => 'Home',
	'preferences' => 'Preferences',
	'tabpreferences' => 'Preferences',
	'tabprofile' => 'Profile',
	'tabchangepassword' => 'Change Password',
	'existingpassword' => 'Existing Password',
	'desc_existingpassword' => 'Enter your existing password.',
	'newpassword' => 'New password',
	'desc_newpassword' => 'Enter your new password.',
	'newpasswordrepeat' => 'New password (again)',
	'desc_newpasswordrepeat' => 'It\'s annoying, but a good way to make sure typos do not slip through!',
	'clear' => 'Clear',
	'generaloptions' => 'General Settings',
	'stafffirstname' => 'First name',
	'desc_stafffirstname' => 'For example, <em>Jo...</em> - just kidding!',
	'stafflastname' => 'Last name',
	'desc_stafflastname' => '',
	'staffdesignation' => 'Title/Position',
	'staffemail' => 'Email address',
	'desc_staffemail' => 'Your own email address.',
	'notset' => '- Not Available -',
	'team' => 'Team',
	'tabassigneddepartments' => 'Assigned Departments',
	'infofullname' => 'FULL NAME',
	'infoteam' => 'TEAM',
	'infousername' => 'USERNAME',
	'infodesignation' => 'TITLE/POSITION',
	'informationbox' => 'Information',
	'staffprofileimage' => 'Profile picture',
	'desc_staffprofileimage' => 'Here\'s a secret: customers are likely to engage more positively if they see a face. Your profile picture will appear next to your ticket replies and as your live chat avatar.',
	'staffmobilenumber' => 'Cell phone number',
	'desc_staffmobilenumber' => 'Enter only digits, without +prefix and number separators. For example, <em>18889529256</em>.',
	'staffsignature' => 'Signature',
	'desc_staffsignature' => 'Your signature will be attached to all outgoing correspondence (ticket replies and emails).',
	'tzusedefault' => '-- Use System Default --',
	'stafftimezone' => 'Time zone',
	'desc_stafftimezone' =>  'If you do not select a time zone, the helpdesk default will be used.',
	'staffenabledst' => 'Daylight savings time detection',
	'desc_staffenabledst' => 'When enabled, Kayako will detect daylight savings time and automatically make adjustments.',
	'livechatoptions' => 'Live Chat Settings',
	'lcgreeting' => 'Automatic greeting',
	'desc_lcgreeting' => 'This greeting will be automatically sent from you whenever you accept a live chat. For example: <em>Hi, how can I help you today?</em>',
	'personalizeoptions' => 'Personalize',
	'titleemailqueuematch' => 'Email address already in use by the helpdesk',
	'msgemailqueuematch' => 'The email address %s is already being used by the helpdesk as an email queue address, and cannot be used as a staff user\'s email address at the same time. Please use your own, personal email address.',
	'titleinvalidfileext' => 'Unsupported image type',
	'msginvalidfileext' => 'Supported image file types are: gif, jpeg, jpg, png.',
	'titlemobilenumberinvalid' => 'Invalid cell phone number',
	'msgmobilenumberinvalid' =>  'The phone number entered doesn\'t seem to be valid. Please enter only the digits, without the + prefix or number separators.',
	'titlepwnomatch' => 'Passwords do not match',
	'msgpwnomatch' => 'The new passwords you have entered don\'t seem to match. Please try again.',
	'titleinvalidpw' => 'Wrong password',
	'msginvalidpw' => 'The existing password you have entered does not match. If you have forgotten it, please contact one of your your helpdesk admins.',
	'titlepwupdated' => 'Password changed',
	'msgpwupdated' => 'Your password has been changed.',
	'titleemailexists' => 'Email address exists',
	'msgemailexists' => 'The email address is already in use',
	'titleupdatestaff' => 'Profile updated (%s)',
	'msgupdatestaff' => 'Your profile (%s) has been updated successfully: <strong>Name:</strong> %s <strong>Email address:</strong> %s <strong>Cell phone number:</strong> %s',
);
?>
