<?php
/**
 * ###############################################
 *
 * SWIFT Framework
 * _______________________________________________
 *
 * @author		Varun Shoor
 *
 * @package		SWIFT
 * @copyright	Copyright (c) 2001-2012, Kayako
 * @license		http://www.kayako.com/license
 * @link		http://www.kayako.com
 *
 * ###############################################
 */

$__LANG = array(
	/**
	 * ---------------------------------------------
	 * Table Labels
	 * ---------------------------------------------
	 */
	'tickets' => 'Tickets',
	'ticketposts' => 'Ticket Posts',
	'ticketstatus' => 'Ticket Status',
	'ticketpriorities' => 'Ticket Priority',
	'slaplans' => 'SLA Plans',
	'tickettimetracks' => 'Ticket Billing',
	'tickettimetracknotes' => 'Ticket Billing Notes',
	'ticketauditlogs' => 'Ticket Audit Logs',
	'tickettypes' => 'Ticket Types',
	'escalationpaths' => 'Escalations',
	'escalationrules' => 'Escalation Rules',

	/**
	 * ---------------------------------------------
	 * Field Labels
	 * ---------------------------------------------
	 */
	'custom_cmsupportcenter' => 'Support Center',
	'custom_cmstaffcp' => 'Staff Control Panel',
	'custom_cmemail' => 'Email',
	'custom_cmapi' => 'API',
	'custom_cmsitebadge' => 'Site Badge',
	'custom_cmmobile' => 'Mobile/Staff API',
	'custom_cmstaffapi' => 'Mobile/Staff API',
	'custom_blue' => 'Blue',
	'custom_green' => 'Green',
	'custom_orange' => 'Orange',
	'custom_purple' => 'Purple',
	'custom_red' => 'Red',
	'custom_yellow' => 'Yellow',
	'tickets_ticketid' => 'Ticket ID',
	'tickets_ticketmaskid' => 'Ticket Mask ID',
	'tickets_departmentid' => 'Department',
	'tickets_ticketstatusid' => 'Status',
	'tickets_priorityid' => 'Priority',
	'tickets_ownerstaffid' => 'Owner',
	'tickets_tickettypeid' => 'Type',
	'tickets_emailqueueid' => 'Email Queue',
	'tickets_userid' => 'User',
	'tickets_staffid' => 'Staff',
	'tickets_assignstatus' => 'Is Assigned',
	'tickets_fullname' => 'Full Name',
	'tickets_email' => 'Email',
	'tickets_subject' => 'Subject',
	'tickets_phoneno' => 'Phone Number',
	'tickets_dateline' => 'Creation Date',
	'tickets_lastactivity' => 'Last Activity',
	'tickets_laststaffreplytime' => 'Last Staff Reply',
	'tickets_lastuserreplytime' => 'Last User Reply',
	'tickets_slaplanid' => 'SLA Plan',
	'tickets_totalreplies' => 'Total Replies',
	'tickets_ipaddress' => 'IP Address',
	'tickets_flagtype' => 'Flag',
	'tickets_hasnotes' => 'Has Notes',
	'tickets_hasattachments' => 'Has Attachments',
	'tickets_isemailed' => 'Is Emailed',
	'tickets_isautoclosed' => 'Is Auto Closed',
	'tickets_autoclosetimeline' => 'Auto Closed Date',
	'tickets_isresolved' => 'Is Resolved',
	'tickets_creator' => 'Creator',
	'tickets_creationmode' => 'Creation Mode',
	'tickets_timeworked' => 'Time Worked',
	'tickets_timebilled' => 'Time Billed',
	'tickets_isescalated' => 'Is Escalated',
	'tickets_escalatedtime' => 'Escalation Date',
	'tickets_averageresponsetime' => 'Average Response Time',
	'tickets_averageslaresponsetime' => 'Average SLA Response Time',
	'tickets_isfirstcontactresolved' => 'Is First Contact Resolved',
	'tickets_wasreopened' => 'Was Reopened',
	'tickets_reopendateline' => 'Reopen Date',
	'tickets_resolutiondateline' => 'Resolved Date',
	'tickets_escalationlevelcount' => 'Escalation Count',
	'tickets_resolutionseconds' => 'Time to Resolve',
	'tickets_resolutionlevel' => 'Owners to Resolve',
	'tickets_repliestoresolution' => 'Replies to Resolve',
	'tickets_duetime' => 'Reply Due Date',
	'tickets_resolutionduedateline' => 'Resolution Due Date',
	'tickets_firstresponsetime' => 'First Response Time',
	'tickets_lastpostid' => 'Last Ticket Post',
	'tickets_hasbilling' => 'Has Billing',

	// TicketPosts
	'custom_creatortpstaff' => 'Staff',
	'custom_creatortpuser' => 'User',
	'custom_creatortpthirdparty' => 'Third Party',
	'custom_creatortpcc' => 'CC User',
	'custom_creatortpbcc' => 'BCC User',
	'ticketposts_ticketpostid' => 'Ticket Post ID',
	'ticketposts_slaresponsetime' => 'SLA Response Time',
	'ticketposts_subject' => 'Subject',
	'ticketposts_dateline' => 'Creation Date',
	'ticketposts_fullname' => 'Full Name',
	'ticketposts_email' => 'Email',
	'ticketposts_ipaddress' => 'IP Address',
	'ticketposts_isthirdparty' => 'Is Third Party',
	'ticketposts_contents' => 'Contents',
	'ticketposts_isemailed' => 'Is Emailed',
	'ticketposts_creator' => 'Creator',
	'ticketposts_creationmode' => 'Creation Mode',
	'ticketposts_responsetime' => 'Response Time',
	'ticketposts_firstresponsetime' => 'First Response Time',
	'ticketposts_isprivate' => 'Is Private',
	'ticketposts_issurveycomment' => 'Is Survey Comment',

	// TicketTypes
	'tickettypes_tickettypeid' => 'Type ID',
	'tickettypes_title' => 'Type',

	// TicketStatus
	'ticketstatus_ticketstatusid' => 'Status ID',
	'ticketstatus_title' => 'Status',

	// TicketPriorities
	'ticketpriorities_priorityid' => 'Priority ID',
	'ticketpriorities_title' => 'Priority',

	// SLAPlan
	'slaplans_slaplanid' => 'SLA Plan ID',
	'slaplans_title' => 'SLA Plan',

	// TicketTimeTracks
	'tickettimetracks_tickettimetrackid' => 'Ticket Billing ID',
	'tickettimetracks_dateline' => 'Creation Date',
	'tickettimetracks_workdateline' => 'Work Date',
	'tickettimetracks_creatorstaffname' => 'Creator Name',
	'tickettimetracks_timespent' => 'Time Spent',
	'tickettimetracks_timebillable' => 'Time Billable',
	'tickettimetracks_workerstaffid' => 'Worker',

	// TicketTimeTrackNotes
	'tickettimetracknotes_tickettimetracknoteid' => 'Ticket Billing Note ID',
	'tickettimetracknotes_notes' => 'Notes',

	// EscalationPaths
	'escalationpaths_escalationpathid' => 'Escalation Path ID',
	'escalationpaths_ticketid' => 'Ticket ID',
	'escalationpaths_dateline' => 'Escalation Date',
	'escalationpaths_slaplanid' => 'SLA Plan',
	'escalationpaths_escalationruleid' => 'Rule',
	'escalationpaths_ownerstaffid' => 'Owner',
	'escalationpaths_departmentid' => 'Department',
	'escalationpaths_ticketstatusid' => 'Status',
	'escalationpaths_priorityid' => 'Priority',
	'escalationpaths_tickettypeid' => 'Type',

	// EscalationRules
	'escalationrules_escalationruleid' => 'Escalation Rule ID',
	'escalationrules_title' => 'Escalation Rule',

	// TicketAuditLogs
	'custom_creatorstaff' => 'Staff',
	'custom_creatoruser' => 'User',
	'custom_creatorsystem' => 'System',
	'custom_creatorparser' => 'Parser',
	'custom_actionnewticket' => 'New Ticket',
	'custom_actionnewticketpost' => 'New Ticket Post',
	'custom_actionupdateowner' => 'Updated Owner',
	'custom_actionupdatestatus' => 'Updated Status',
	'custom_actionupdatepriority' => 'Updated Priority',
	'custom_actionupdatetype' => 'Updated Type',
	'custom_actionupdatedepartment' => 'Updated Department',
	'custom_actionupdateticketpost' => 'Updated Ticket Post',
	'custom_actiondeleteticketpost' => 'Deleted Ticket Post',
	'custom_actiondeleteticket' => 'Deleted Ticket',
	'custom_actionupdateflag' => 'Updated Flag',
	'custom_actionwatch' => 'Watched/Unwatched Ticket',
	'custom_actiontrashticket' => 'Moved to Trash',
	'custom_actionupdatetags' => 'Updated Tags',
	'custom_actionlinkticket' => 'Linked Ticket',
	'custom_actionmergeticket' => 'Merge Ticket',
	'custom_actionban' => 'Ban\'ed Ticket Creator',
	'custom_actionupdateticket' => 'Updated Ticket',
	'custom_actionupdateuser' => 'Updated User Details',
	'custom_actionupdatesla' => 'Updated SLA',
	'custom_actionnoteadded' => 'Updated Note',
	'custom_actionnotedeleted' => 'Deleted Note',
	'ticketauditlogs_ticketauditlogid' => 'Ticket Audit Log ID',
	'ticketauditlogs_dateline' => 'Creation Date',
	'ticketauditlogs_creatortype' => 'Creator',
	'ticketauditlogs_creatorfullname' => 'Full Name',
	'ticketauditlogs_actiontype' => 'Action',
	'ticketauditlogs_actionmsg' => 'Message',
	'ticketauditlogs_departmentid' => 'Department',
);
?>